import 'package:bolt/bolt.dart';

/// {@template connection_request}
/// Sent by the client to the server to request a connection.
/// {@endtemplate}
class ConnectionRequest extends DataObject {
  /// {@macro connection_request}
  const ConnectionRequest({
    required this.token,
    required this.clientSalt,
  });

  /// Private token used to authenticate the client.
  final String token;

  /// Random 64 bit number generated by the client.
  final int clientSalt;

  @override
  List<Object> get props => [token, clientSalt];
}
